package org.jeecg.modules.teambuyCategory.service;

import org.jeecg.modules.teambuyCategory.entity.TeambuyCategory;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.exception.JeecgBootException;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import java.util.List;

/**
 * @Description: 商品分类表
 * @Author: jeecg-boot
 * @Date:   2025-04-24
 * @Version: V1.0
 */
public interface ITeambuyCategoryService extends IService<TeambuyCategory> {

	/**根节点父ID的值*/
	public static final String ROOT_PID_VALUE = "0";
	
	/**树节点有子节点状态值*/
	public static final String HASCHILD = "1";
	
	/**树节点无子节点状态值*/
	public static final String NOCHILD = "0";

	/**新增节点*/
	void addTeambuyCategory(TeambuyCategory teambuyCategory);
	
	/**修改节点*/
	void updateTeambuyCategory(TeambuyCategory teambuyCategory) throws JeecgBootException;
	
	/**删除节点*/
	void deleteTeambuyCategory(String id) throws JeecgBootException;

	/**查询所有数据，无分页*/
    List<TeambuyCategory> queryTreeListNoPage(QueryWrapper<TeambuyCategory> queryWrapper);

}
