package org.jeecg.modules.teambuyCouponUser.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 用户优惠券信息表
 * @Author: jeecg-boot
 * @Date:   2025-05-23
 * @Version: V1.0
 */
@Data
@TableName("teambuy_coupon_user")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="teambuy_coupon_user对象", description="用户优惠券信息表")
public class TeambuyCouponUser implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**抵扣金额*/
	@Excel(name = "抵扣金额", width = 15)
    @ApiModelProperty(value = "抵扣金额")
    private java.math.BigDecimal discount;
	/**有效期*/
	@Excel(name = "有效期", width = 15)
    @ApiModelProperty(value = "有效期")
    private java.util.Date validDate;
	/**使用状态*/
	@Excel(name = "使用状态", width = 15, dicCode = "teambuy_coupon_status")
	@Dict(dicCode = "teambuy_coupon_status")
    @ApiModelProperty(value = "使用状态")
    private java.lang.String status;
	/**关联优惠券id*/
	@Excel(name = "关联优惠券id", width = 15, dictTable = "teambuy_coupon", dicText = "title", dicCode = "id")
	@Dict(dictTable = "teambuy_coupon", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "关联优惠券id")
    private java.lang.String couponId;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
}
