package org.jeecg.modules.teambuyOrderLeader.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.teambuyOrderMember.entity.TeambuyOrderMember;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 团长团餐订单表
 * @Author: jeecg-boot
 * @Date:   2025-05-26
 * @Version: V1.0
 */
@Data
@TableName("teambuy_order_leader")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="teambuy_order_leader对象", description="团长团餐订单表")
public class TeambuyOrderLeader implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**团餐订单名称*/
	@Excel(name = "团餐订单名称", width = 15)
    @ApiModelProperty(value = "团餐订单名称")
    private java.lang.String title;
	/**团餐订单状态*/
	@Excel(name = "团餐订单状态", width = 15, dicCode = "teambuy_status_teamorder")
	@Dict(dicCode = "teambuy_status_teamorder")
    @ApiModelProperty(value = "团餐订单状态")
    private java.lang.String status;
	/**关联团长id*/
	@Excel(name = "关联团长id", width = 15, dictTable = "teambuy_team_leader", dicText = "name", dicCode = "id")
	@Dict(dictTable = "teambuy_team_leader", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "关联团长id")
    private java.lang.String userId;
	/**订单佣金*/
	@Excel(name = "订单佣金", width = 15)
    @ApiModelProperty(value = "订单佣金")
    private java.math.BigDecimal commission;

    //团餐下的订单列表信息
    @TableField(exist = false)
    List<TeambuyOrderMember> orderMemberList;

    //团餐下的订单列表总数
    @TableField(exist = false)
    int total;
}
