package org.jeecg.modules.teambuyOrderMember.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import org.jeecg.modules.teambuyOrderGoods.entity.TeambuyOrderGoods;
import org.jeecg.modules.teambuyTeamLeader.entity.TeambuyTeamLeader;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 团员订单表
 * @Author: jeecg-boot
 * @Date:   2025-05-24
 * @Version: V1.0
 */
@Data
@TableName("teambuy_order_member")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="teambuy_order_member对象", description="团员订单表")
public class TeambuyOrderMember implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**订单名称*/
	@Excel(name = "订单名称", width = 15)
    @ApiModelProperty(value = "订单名称")
    private java.lang.String title;
	/**订单总金额*/
	@Excel(name = "订单总金额", width = 15)
    @ApiModelProperty(value = "订单总金额")
    private java.math.BigDecimal priceAll;
	/**关联优惠券id*/
	@Excel(name = "关联优惠券id", width = 15)
    @ApiModelProperty(value = "关联优惠券id")
    private java.lang.String userCouponId;
	/**订单优惠金额*/
	@Excel(name = "订单优惠金额", width = 15)
    @ApiModelProperty(value = "订单优惠金额")
    private java.math.BigDecimal pricePreferential;
	/**订单实付金额*/
	@Excel(name = "订单实付金额", width = 15)
    @ApiModelProperty(value = "订单实付金额")
    private java.math.BigDecimal pricePay;
	/**付款时间*/
	@Excel(name = "付款时间", width = 15)
    @ApiModelProperty(value = "付款时间")
    private java.util.Date payTime;
	/**订单状态*/
	@Excel(name = "订单状态", width = 15, dicCode = "teambuy_status_order")
	@Dict(dicCode = "teambuy_status_order")
    @ApiModelProperty(value = "订单状态")
    private java.lang.String status;
	/**关联团餐订单id*/
	@Excel(name = "关联团餐订单id", width = 15, dictTable = "teambuy_order_leader", dicText = "title", dicCode = "id")
	@Dict(dictTable = "teambuy_order_leader", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "关联团餐订单id")
    private java.lang.String orderLeaderId;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remark;
	/**支付方式*/
	@Excel(name = "支付方式", width = 15)
    @ApiModelProperty(value = "支付方式")
    private java.lang.String payType;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
	/**是否删除*/
	@Excel(name = "是否删除", width = 15)
    @ApiModelProperty(value = "是否删除")
    private java.lang.String isDel;

    //商品列表信息
    @TableField(exist = false)
    List<TeambuyOrderGoods> goodsList;

    //用户信息
    @TableField(exist = false)
    HanHaiMember hanHaiMember;

    //团长信息
    @TableField(exist = false)
    TeambuyTeamLeader teamLeader;
}
