import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '订单名称',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '订单总金额',
    align:"center",
    dataIndex: 'priceAll'
   },
   {
    title: '关联优惠券id',
    align:"center",
    dataIndex: 'userCouponId'
   },
   {
    title: '订单优惠金额',
    align:"center",
    dataIndex: 'pricePreferential'
   },
   {
    title: '订单实付金额',
    align:"center",
    dataIndex: 'pricePay'
   },
   {
    title: '付款时间',
    align:"center",
    dataIndex: 'payTime'
   },
   {
    title: '订单状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '关联团餐订单id',
    align:"center",
    dataIndex: 'orderLeaderId_dictText'
   },
   {
    title: '备注',
    align:"center",
    dataIndex: 'remark'
   },
   {
    title: '支付方式',
    align:"center",
    dataIndex: 'payType'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '是否删除',
    align:"center",
    dataIndex: 'isDel'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '订单名称',
    field: 'title',
    component: 'Input',
  },
  {
    label: '订单总金额',
    field: 'priceAll',
    component: 'InputNumber',
  },
  {
    label: '关联优惠券id',
    field: 'userCouponId',
    component: 'Input',
  },
  {
    label: '订单优惠金额',
    field: 'pricePreferential',
    component: 'InputNumber',
  },
  {
    label: '订单实付金额',
    field: 'pricePay',
    component: 'InputNumber',
  },
  {
    label: '付款时间',
    field: 'payTime',
    component: 'Input',
  },
  {
    label: '订单状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_status_order"
     },
  },
  {
    label: '关联团餐订单id',
    field: 'orderLeaderId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_order_leader,title,id"
     },
  },
  {
    label: '备注',
    field: 'remark',
    component: 'Input',
  },
  {
    label: '支付方式',
    field: 'payType',
    component: 'Input',
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
  {
    label: '是否删除',
    field: 'isDel',
    component: 'Input',
  },
];
