import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '手机号',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '送餐点名称',
    align:"center",
    dataIndex: 'spotName'
   },
   {
    title: '送餐点图片',
    align:"center",
    dataIndex: 'spotImage',
    customRender:render.renderAvatar,
   },
   {
    title: '所在区域',
    align:"center",
    dataIndex: 'area'
   },
   {
    title: '详细地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '经度',
    align:"center",
    dataIndex: 'longitude'
   },
   {
    title: '纬度',
    align:"center",
    dataIndex: 'latitude'
   },
   {
    title: '审核状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '审核备注',
    align:"center",
    dataIndex: 'remark'
   },
   {
    title: '关联用户',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '手机号',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '送餐点名称',
    field: 'spotName',
    component: 'Input',
  },
  {
    label: '送餐点图片',
    field: 'spotImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '所在区域',
    field: 'area',
    component: 'Input',
  },
  {
    label: '详细地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '经度',
    field: 'longitude',
    component: 'InputNumber',
  },
  {
    label: '纬度',
    field: 'latitude',
    component: 'InputNumber',
  },
  {
    label: '审核状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"teambuy_authentic_status"
     },
  },
  {
    label: '审核备注',
    field: 'remark',
    component: 'Input',
  },
  {
    label: '关联用户',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
