package org.jeecg.modules.teambuyTeamRelation.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import org.jeecg.modules.teambuyTeamLeader.entity.TeambuyTeamLeader;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 团员团长关联表
 * @Author: jeecg-boot
 * @Date:   2025-05-07
 * @Version: V1.0
 */
@Data
@TableName("teambuy_team_relation")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="teambuy_team_relation对象", description="团员团长关联表")
public class TeambuyTeamRelation implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**现团长id*/
	@Excel(name = "现团长id", width = 15, dictTable = "teambuy_team_leader", dicText = "name", dicCode = "id")
	@Dict(dictTable = "teambuy_team_leader", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "现团长id")
    private java.lang.String leaderId;
	/**更换团长id*/
	@Excel(name = "更换团长id", width = 15, dictTable = "teambuy_team_leader", dicText = "name", dicCode = "id")
	@Dict(dictTable = "teambuy_team_leader", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "更换团长id")
    private java.lang.String leaderUpdateId;
	/**关联团员id*/
	@Excel(name = "关联团员id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联团员id")
    private java.lang.String memberId;
	/**关联状态*/
	@Excel(name = "关联状态", width = 15, dicCode = "teambuy_status_relation")
	@Dict(dicCode = "teambuy_status_relation")
    @ApiModelProperty(value = "关联状态")
    private java.lang.String status;

    //团长信息
    @TableField(exist = false)
    private TeambuyTeamLeader teamLeader;

    //团员信息
    @TableField(exist = false)
    private HanHaiMember member;
}
