package org.jeecg.modules.api.teambuyController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.BannerService;
import org.jeecg.modules.teambuyOrderMember.entity.TeambuyOrderMember;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="首页-相关接口")
@RestController
@RequestMapping("/teambuy/index")
@Slf4j
public class BannerController {
    /******************************************************************************************************************/
    //轮播图
    @Resource
    private BannerService bannerService;
    /******************************************************************************************************************/
    //查看轮播图列表
    @ApiOperation(value="轮播图-查询轮播图列表", notes="0-首页")
    @RequestMapping(value = "/queryBannerList", method = {RequestMethod.GET})
    public Result<?> queryBannerList(String type, PageBean pageBean){
        return bannerService.queryBannerList(type, pageBean);
    }
    //查看展示信息列表
    @ApiOperation(value="展示信息-查询展示列表", notes="展示信息-查询展示列表")
    @RequestMapping(value = "/queryInfoList", method = {RequestMethod.GET})
    public Result<?> queryInfoList(PageBean pageBean){
        return bannerService.queryInfoList(pageBean);
    }

    //查看展示信息列表
    @ApiOperation(value="展示信息-滚动列表", notes="展示信息-滚动列表")
    @RequestMapping(value = "/rollList", method = {RequestMethod.GET})
    public Result<?> rollList(PageBean pageBean){
        return bannerService.rollList(pageBean);
    }
}
